Skip to main content
Client List Validation Runs
curl --request GET \
  --url https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/ground_truths/{ground_truth_id}/validations \
  --header 'Authorization: Bearer <token>'
{
  "validations": [
    {
      "id": 123,
      "ground_truth_id": 123,
      "ground_truth_version": 123,
      "status": "running",
      "results": {
        "score": 123
      }
    }
  ],
  "total_pages": 123,
  "page_number": 0,
  "page_size": 50
}
Rate Limit: This endpoint is limited to requests per minute per user.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.

Path Parameters

agent_id
integer
required
ground_truth_id
integer
required

Query Parameters

page_number
integer
default:0

Optionally specify the index of the Validations page to fetch.

Required range: x >= 0
page_size
integer
default:50

Optionally specify the maximum number of Validations to fetch.

Required range: 1 <= x <= 1000

Response

Successful Response

validations
ClientValidation · object[]
required

The list of Validations.

total_pages
integer
required

The total number of pages of Validations. Use the request arguments page_number and page_size to control which Validations are fetched.

page_number
integer
default:0

The number of the fetched page.

Required range: x >= 0
page_size
integer
default:50

The page size, i.e. number of Validations, fetched.

Required range: x <= 1000